/************************************************************************ *********
 * Proiectarea cu Microprocesoare
 * Laboratorul 1
 * Digital I/O
 *********************************************************************************/

#include <string.h>
#include <stdio.h>
#include <avr\io.h>
#include <avr\interrupt.h>
#define F_CPU 16000000
#include <util/delay.h>

#include "lcd.h"

/* Initializare ADC*/
void ADC_init(void)
{
	ADMUX = (1 << REFS0);
	ADCSRA = (1 << ADEN) | (1 << ADATE) | (7 << ADPS0) | (1 << ADSC);  
}

int ADC_get(uint8_t channel)
{
	ADMUX = _BV(REFS0);
	ADMUX |= channel;
	ADCSRA |= _BV(ADSC);
	loop_until_bit_is_set(ADCSRA, ADIF);
	return ADC;
}

int main()
{
	LCD_init();

    int temp = 0;   
	char temp_s[8];
	// temp=(46*ADC_get(0))/10;
	temp=temp-2730;

	sprintf(temp_s, "%d", temp);

	char first_line[16];// , second_line[16];
	sprintf(first_line, "Temperature:");
	LCD_print2(first_line, temp_s);
	
	return 0;
}
